plot_traceplot_and_density <- function(vn_posterior,
                            nm_variable,
                            n_final_iterations,
                            n_final_thinned_iterations
)
{
  
  par(mfrow=c(2,1))
  
  plot(x = 1:n_final_thinned_iterations,
       y = vn_posterior,
       type = "b",
       xaxt = "n",
       xlab = "Iteration",
       ylab = bquote(.(nm_variable)),
       main = bquote(Traceplot~.(nm_variable))
  )
  
  axis(side=1, 
       at = 1:n_final_thinned_iterations, 
       labels = n_final_iterations*(1:n_final_thinned_iterations)/n_final_thinned_iterations
  )
  
  str <- "expression(phi)"
  
  unit=quote(beta)
  
  plot(
    density(vn_posterior
    ),
    main = bquote(.(nm_variable)~posterior~density)
    #substitute(paste("here ", v), list(v= bquote(ex_variable ) ))
    #expression("Simulation of {"*.(str_variabele)*"}")
    
  )  
  
  par(mfrow=c(2,1))
  
}